# petsc4py.PETSc.DMSwarm.MigrateType

class petsc4py.PETSc.DMSwarm.MigrateType

  Bases: `object`

  Swarm migration types.

  Attributes Summary

  `MIGRATE_BASIC` | Constant `MIGRATE_BASIC` of type `int`
  `MIGRATE_DMCELLEXACT` | Constant `MIGRATE_DMCELLEXACT` of type `int`
  `MIGRATE_DMCELLNSCATTER` | Constant `MIGRATE_DMCELLNSCATTER` of type `int`
  `MIGRATE_USER` | Constant `MIGRATE_USER` of type `int`

  Attributes Documentation

  MIGRATE_BASIC: int = MIGRATE_BASIC

    Constant `MIGRATE_BASIC` of type `int`

  MIGRATE_DMCELLEXACT: int = MIGRATE_DMCELLEXACT

    Constant `MIGRATE_DMCELLEXACT` of type `int`

  MIGRATE_DMCELLNSCATTER: int = MIGRATE_DMCELLNSCATTER

    Constant `MIGRATE_DMCELLNSCATTER` of type `int`

  MIGRATE_USER: int = MIGRATE_USER

    Constant `MIGRATE_USER` of type `int`